Skip to navigation

Create or update customer

This call Create or update customer based on is_update parameter

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

access_tokenstringOptional
Access Token
is_updateintegerOptional
Set to 1 for update existing customer, 0 for create new customer. Default is 0
customer_idintegerOptional

Customer ID (required when is_update=1)

customer_namestringOptional
Customer Name
customer_phonestringOptional
Customer Phone
is_receiverstringOptional

Is Receiver (1 or 0)

customer_home_addressstringOptional
Customer Home Address
customer_home_latitudedoubleOptional
Customer Home Latitude
customer_home_longitudedoubleOptional
Customer Home Longitude
customer_work_addressstringOptional
Customer Work Address
customer_work_latitudedoubleOptional
Customer Work Latitude
customer_work_longitudedoubleOptional
Customer Work Longitude
customer_default_addressstringOptional
possible values are home,work. Default value is home
blockstringOptional
Customer Block
areastringOptional
Customer Area
streetstringOptional
Customer Street
buildingstringOptional
Customer Building
floorstringOptional
Customer Floor
apartmentstringOptional
Customer Apartment
external_customer_codestringOptional

External Customer Code/Id

address_idstringOptional
Address Id
customer_group_idintegerOptional

Customer Group ID (Optional) 1:Direct, 2:Indirect

route_idintegerOptional

Route ID (Optional) - Highest priority for route assignment. If provided, customer will be assigned to this route by ID

route_namestringOptional

Route Name (Optional) - Second priority. If route_id not provided, customer will be assigned to this route by name

parent_idstringOptional

Parent Customer ID (Optional)

parent_customer_codestringOptional

Parent Customer Code (Optional)

parent_address_idstringOptional

Parent Address Id (Optional)

customer_type_idintegerOptional

Customer Type: 1 = Individual Customer, 2 = Corporate Customer, 3 = Watchman, 4 = Supermarket, 5 = Abraaj FOC, 6 = Co-Packing, 7 = Co-operatives, 9 = E-commerce, 10 = Horeca, 12 = Mabara, 13 = Modern Trade, 14 = Mosques, 15 = Staff account

Response

Returns the customer object